Search Issue Tracker

Active

Votes

5

Found in [Package]

3.0.0-beta.2

Issue ID

1354793

Regression

Yes

[Hub] Error is thrown when creating a new project with 2D or 3D templates

Package: Hub

-

Reproduction steps:
1. Open Unity Hub
2. At the top right corner select New Project
3. Select Editor Version
4. Select 3D Template
5. At the bottom right corner select Create Project

Expected result: Unity Hub creates a project with a 2D or 3D template
Actual result: Unity Hub throws an error

Reproducible with: 3.0.0-beta.2
Not reproducible with: 2.5.5

Notes:
- Error: Failed to resolve project template: [com.unity.template.3d] is not a valid project template.
- Issue reproduces when selecting 2D or 3D template with 2021.2.0a18, 2021.2.0a19, 2021.2.0a20, 2021.2.0a21, 2022.1.0a1 and above Unity versions

Comments (6)

  1. 1f65ebc6595436e36f38f651d1e4f4df?d=mm

    cybermynd

    Jan 15, 2022 00:54

    Same problem here. How is there no fix for this?! You can avoid the hub and start a new project by just using the Unity.exe for the version you want but then when you want to view your assets in the editor you have to fire up Unity Hub in the background.
    What a major pain Unity!!!!

  2. 83ea4f58d8e6dd2130c6ad67e47e2320?d=mm

    lucasjoao85

    Jan 11, 2022 23:39

    same error here, i try with Unity hub 3.0.0 on Mac OS

    "Failed to resolve project template: [com.unity.template.3d] is not a valid project template"

  3. 395385d5607160f5c1709ae3b951772a?d=mm

    Annyway

    Nov 28, 2021 12:24

    I have the same issue. Recreated in 2019.2 and 2018.4 .
    This makes a really bad starting experience with the Editor if I cannot even start a project.
    I hope this will be prioritized. Thank you!

  4. 75714ff63c947b9c54b8fa297916c464?d=mm

    Rochlet

    Oct 26, 2021 05:09

    I received this error as well while running 3.0.0.beta 6

  5. 795b855fb35ac1a99f972cf4e5328924?d=mm

    SurreyMuso

    Aug 14, 2021 16:32

    Can confirm that no error occurs in hub 2.4.5

  6. 795b855fb35ac1a99f972cf4e5328924?d=mm

    SurreyMuso

    Aug 14, 2021 16:13

    I, too, am getting this error. When running 3.0.0.beta 2 and creating new project with 3D core, I get:

    "Failed to resolve project template: [com.unity.template.3d] is not a valid project template."

    Worked yesterday fine and no updates since, to my knowledge...

Add comment

Log in to post comment

All about bugs

View bugs we have successfully reproduced, and vote for the bugs you want to see fixed most urgently.